using Autofac;
using e_suite.API.Common;
using e_suite.API.Common.repository;
using e_suite.DependencyInjection;
using e_suite.Modules.RunningActivityManager.repository;

namespace e_suite.Modules.RunningActivityManager;

public class IocRegistration : IIocRegistration
{
    public void RegisterTypes(ContainerBuilder builder)
    {
        builder.RegisterType<ActivityManager>().As<IActivityManager>().InstancePerLifetimeScope();
        builder.RegisterType<ActivityRepository>().As<IActivityRepository>().InstancePerLifetimeScope();
    }
}